---
updatedAt: 2025-06-12T23:58:10.000Z
agentTools:
  projectIndex: https://docs.fiatrepublic.com/llms.txt
---

# List Payees

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "fiat-republic",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.fiatrepublic.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/payees": {
      "get": {
        "summary": "List Payees",
        "description": "",
        "operationId": "list-payee",
        "parameters": [
          {
            "name": "currency",
            "in": "query",
            "description": "3 letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code. Accepts multiple codes.",
            "schema": {
              "type": "string",
              "enum": [
                ""
              ]
            }
          },
          {
            "name": "endUserId",
            "in": "query",
            "description": "Id of the End User whose Payees you want to list.<br>If not set, all Payees for the Member and End Users will be listed.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "query",
            "description": "One or more Payee id's. Multiple `id` params can be provided.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "owner.type",
            "in": "query",
            "description": "Owner of the Payee object",
            "schema": {
              "type": "string",
              "enum": [
                "MEMBER",
                "END_USER"
              ]
            }
          },
          {
            "name": "search",
            "in": "query",
            "description": "Search by the Payee's `id` or `bankDetails`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "type",
            "in": "query",
            "description": "Type of Payee",
            "schema": {
              "type": "string",
              "enum": [
                "PERSON",
                "BUSINESS"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "[\n   {\n   \"id\":\"pye_ejl2vpn1md315rxko6\",\n   \"owner\":{\n      \"type\":\"MEMBER\",\n      \"id\":\"mbr_ejl2vpn1m305rxko6b\"\n   },\n   \"type\":\"PERSON\",\n   \"name\":\"Satoshi Nakamoto\",\n   \"currency\":\"GBP\",\n   \"address\":null,\n   \"paymentSchemes\":[\n      \"FPS\",\n      \"CHAPS\"\n   ],\n   \"bankDetails\":{\n      \"routingCodeType\":\"SORT_CODE\",\n      \"routingCodeValue\":\"000500\",\n      \"accountNumber\":\"43242342\"\n   },\n   \"additionalDetails\":{\n      \"dob\":\"1975-04-05\"\n   },\n   \"createdAt\":1637132469304,\n   \"updatedAt\":1637132469304,\n   \"metadata\":null,\n   \"status\":\"CREATED\"\n   },\n   {...},\n   {...}\n]"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request GET \\\n     --url https://sandbox.fiatrepublic.com/api/v1/payees \\\n     --header 'Accept: application/json' \n     --header 'Authorization: Basic ZmlhdHJlcHVibGljOmZpYXRyZXB1YmxpYw==' \\"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```